<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.USE_FULL_SCREEN_INTENT" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission
        android:name="android.permission.BLUETOOTH"
        android:maxSdkVersion="30" />
    <uses-permission
        android:name="android.permission.BLUETOOTH_ADMIN"
        android:maxSdkVersion="30" />
    <uses-permission
        android:name="android.permission.BLUETOOTH_SCAN"
        android:usesPermissionFlags="neverForLocation"
        tools:targetApi="s" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADVERTISE" />
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />
    <uses-permission android:name="com.google.android.gms.permission.AD_ID" />

    <application
        android:name=".app.SodaLiveApp"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:requestLegacyExternalStorage="true"
        android:supportsRtl="true"
        android:theme="@style/Theme.SodaLive"
        android:usesCleartextTraffic="true"
        tools:targetApi="31">
        <activity
            android:name=".splash.SplashActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".main.MainActivity" />
        <activity android:name=".user.login.LoginActivity" />
        <activity android:name=".user.signup.SignUpActivity" />
        <activity android:name=".settings.terms.TermsActivity" />
        <activity android:name=".user.find_password.FindPasswordActivity" />
        <activity android:name=".mypage.can.status.CanStatusActivity" />
        <activity android:name=".mypage.can.charge.CanChargeActivity" />
        <activity android:name=".mypage.can.payment.CanPaymentActivity" />
        <activity android:name=".live.room.create.LiveRoomCreateActivity" />
        <activity android:name=".live.room.update.LiveRoomEditActivity" />
        <activity android:name=".live.reservation.complete.LiveReservationCompleteActivity" />
        <activity android:name=".live.room.LiveRoomActivity" />
        <activity android:name=".explorer.profile.UserProfileActivity" />
        <activity android:name=".explorer.profile.donation.UserProfileDonationAllViewActivity" />
        <activity android:name=".explorer.profile.fantalk.UserProfileFantalkAllViewActivity" />
        <activity android:name=".explorer.profile.CreatorNoticeWriteActivity" />
        <activity android:name=".explorer.profile.follow.UserFollowerListActivity" />
        <activity android:name=".message.text.TextMessageWriteActivity" />
        <activity android:name=".message.text.TextMessageDetailActivity" />
        <activity android:name=".message.SelectMessageRecipientActivity" />
        <activity android:name=".settings.SettingsActivity" />
        <activity android:name=".settings.signout.SignOutActivity" />
        <activity android:name=".settings.notice.NoticeActivity" />
        <activity android:name=".settings.notice.NoticeDetailActivity" />
        <activity android:name=".settings.event.EventActivity" />
        <activity android:name=".settings.event.EventDetailActivity" />
        <activity android:name=".settings.notification.NotificationSettingsActivity" />
        <activity android:name=".live.reservation_status.LiveReservationStatusActivity" />
        <activity android:name=".live.reservation_status.LiveReservationCancelActivity" />
        <activity android:name=".audio_content.AudioContentActivity" />
        <activity android:name=".audio_content.detail.AudioContentDetailActivity" />
        <activity android:name=".audio_content.modify.AudioContentModifyActivity" />
        <activity android:name=".audio_content.order.AudioContentOrderListActivity" />
        <activity android:name=".audio_content.upload.AudioContentUploadActivity" />
        <activity android:name=".following.FollowingCreatorActivity" />
        <activity android:name=".live.now.all.LiveNowAllActivity" />
        <activity android:name=".live.reservation.all.LiveReservationAllActivity" />
        <activity android:name=".mypage.service_center.ServiceCenterActivity" />

        <activity
            android:name="com.google.android.gms.oss.licenses.OssLicensesMenuActivity"
            android:theme="@style/Theme.AppCompat.DayNight" />
        <activity
            android:name="com.google.android.gms.oss.licenses.OssLicensesActivity"
            android:theme="@style/Theme.AppCompat.DayNight" />

        <service
            android:name=".common.SodaLiveService"
            android:stopWithTask="false" />

        <service android:name=".audio_content.AudioContentPlayService" />

        <!-- [START firebase_service] -->
        <service
            android:name=".fcm.SodaFirebaseMessagingService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
        <!-- [END firebase_service] -->

        <!-- [START fcm_default_channel] -->
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_channel_id"
            android:value="@string/default_notification_channel_id" />
        <!-- [END fcm_default_channel] -->
    </application>
</manifest>
